Subject: Re: [RFC][PATCH 0/3] net: generic netdev_ioaddr

From: Christoph Hellwig <[email-masked]>
Date: Fri, 29 Oct 2004 12:52:33 +0100

On Fri, Oct 29, 2004 at 01:04:04PM +0300, Pekka Enberg wrote:
> Hi,
> 
> This patch introduces a generic netdev_ioaddr and converts natsemi and
> 8139too drivers to use it.
> 
> With the recent __iomem annotations, the network drivers need to either
> invent this wrapper (like natsemi has done) or duplicate the IO base
> address in their private data (similar to 8139too).  Therefore, lets
> make netdev_ioaddr generic before it is all over the place.

This casting around sounds like a bad idea.  Either add another

	void __iomem *mmioaddr;

member to struct net_device, or better move that completely into the
driver-private structure which seems the better level of abstraction.